Subject: Re: [lvs-users] Ldirector Startup Delay

From: Sameer Garg <[email-masked]>
Date: Thu, 5 Mar 2009 18:37:15 +0530

Hey Brandon,

The slow startup problem then lies with the real server. When
ldirectord is started it does a health check and adds machines to LVS.
So depending upon the page loading time your LVS startup time will
vary.

Sameer

On Sat, Feb 7, 2009 at 8:50 PM, Brandon Hilkert <[email-masked]> wrote:
> Hey Sameer,
>
> We're just using negotiate, not both. Sorry if I made it confusing. Part of
> the problem is that most of our websites are database driven and then page
> we check loads a bunch of data objects, so sometimes during high traffic
> load, it may take 15-20 sec for the page to load, so I have to increase the
> negotiate timeout to something much higher to account for this, or else the
> thing would be failing over constantly. For us, a simple connect check
> wouldn't necessarily be a true test if the website is functioning properly.
> The IP could be up and pass the Ldirector test, but if the page doesn't
> display properly, then it's useless and should certainly failover. We're
> balancing windows machines, and sometimes and they don't just fail like
> that, the IP will be up, but the website wouldn't be displaying.
> Unfortunate, but true...
>
> I've tried to pair the negotiate timeouts with the site itself on a
> case-by-case basis hoping to minimize the delay during startup and failover.
> It seems I don't have much choice. I guess I just have to hope that the
> Ldirectord doesn't randomly go down, but that's why it's on Linux right? :)
>
> Thanks,
> Brandon
> ----- Original Message -----
> From: "Sameer Garg" <[email-masked]>
> To: "LinuxVirtualServer.org users mailing list."
> <[email-masked]>
> Sent: Friday, February 06, 2009 11:06 PM
> Subject: Re: [lvs-users] Ldirector Startup Delay
>
>
> Hi Brandon,
>
> I am using LVS in a scenario where we are load balancing 20 different
> subdomains across 40+ machines and have yet to experience a delay. Why
> are you using two types of checks: negotiate and http check? I use
> http and it works like a charm.
>
> Sameer
>
> On Wed, Jan 14, 2009 at 1:44 AM, Brandon Hilkert <[email-masked]> wrote:
>> We're trying to balance 12 or so sites off this one ldirector box. Because
>> we use the negotiate check method and check for a keyword on a page,
>> sometimes there is a few minute delay when the service starts because it
>> goes site by site and checks each one, then brings it up upon successfully
>> find the keyword.
>>
>> Is there any way to have the service automatically bring everything up and
>> then go into its checking routine, but first assume all the real servers
>> are up?
>>
>> This would help us avoid a few minutes of downtime if the machine/service
>> were to be restarted.
>>
>> Thanks,
>> Brandon
>> _______________________________________________
>> Please read the documentation before posting - it's available at:
>> http://www.linuxvirtualserver.org/
>>
>> LinuxVirtualServer.org mailing list - [email-masked]
>> Send requests to [email-masked]
>> or go to http://lists.graemef.net/mailman/listinfo/lvs-users
>>
>
>
>
>
> _______________________________________________
> Please read the documentation before posting - it's available at:
> http://www.linuxvirtualserver.org/
>
> LinuxVirtualServer.org mailing list - [email-masked]
> Send requests to [email-masked]
> or go to http://lists.graemef.net/mailman/listinfo/lvs-users
>

_______________________________________________
Please read the documentation before posting - it's available at:
http://www.linuxvirtualserver.org/

LinuxVirtualServer.org mailing list - [email-masked]
Send requests to [email-masked]
or go to http://lists.graemef.net/mailman/listinfo/lvs-users

---

From: Sameer Garg <[email-masked]>
Date: Thu, 5 Mar 2009 18:39:37 +0530

btw in our case we fetch a static object which is much faster.

Sameer